Intereting Posts
Как запустить браузер Tor? Он «неожиданно вышел» Низкое разрешение экрана Ubuntu 14.04 (графическая карта SiS 671) Верхняя и нижняя панели инструментов исчезают после изменения «Предпочтения рабочего пространства» после обновления с 10.04 до 12.04 Как я могу выполнить двойную загрузку с Debian? Могу ли я смонтировать образ Wubi .disk в новой установке Wubi? Установка brscan4 для сканера моего брата не работает на новой установке Ubuntu 16.10 Как отключить fsck для запуска Ubuntu 16.04? / dev / mapper / vg00-root не существует Как показать текущий часовой пояс возле индикатора времени в строке меню? Как отключить панель нижних панелей / сообщений в Gnome Shell 3.4? Обновите Windows 7 до 8.1 вместе с Ubuntu Безопасны ли всемирно доступные папки? Настройка видео / подкастинга на Ubuntu «E: неверная строка 1 в списке источников /etc/apt/sources.list.d/medibuntu.list (тип),« Lenovo X1 Carbon с Ubuntu 14.04 просыпается после приостановки через 3 часа

не может установить liblapi-mesa-glx: i386 на ubuntu 12.04, 64 бит

Я пытаюсь создать исходный код Android, и я следую документации Google, чтобы инициализировать среду здания . Он просит меня установить liblapi-mesa-glx:i386 , но кажется, что мы не можем установить это на ubuntu12.04, и эта статья может объяснить причину.

Ubuntu рекомендует мне установить libgl1-mesa-dri:386 intead, но при установке этого он просто удалит xorg.

Мне нужно иметь материал libGL.so … без этого, я буду встречать ошибки при создании исходного кода:

  /usr/bin/ld: cannot find -lGL collect2: ld returned 1 exit status make: *** [out/host/linux-x86/obj/lib/libGLES_CM_translator.so] Error 1 

Может ли кто-нибудь сказать мне, как установить libGL.so на Ubuntu12.04, 64 бит?

Я исправил ошибку.

Основная проблема заключается в том, что в i386-linux-gnu нет файла mesa .

Я сделал две вещи, я не знаю, с кем работал, поэтому я просто напишу их обоих.

1) Так как я не могу установить файл для некоторой проблемы зависимости … Я просто загружаю файл deb (libgl1-mesa-glx-lts-quantal) и извлекаю файл mesa и перемещаю этот файл mesa в libgl1-mesa-dri:386 . Ссылка для загрузки нажмите здесь .

2) Я использую команду: Install updates and the package ia32-libs-multiarch:i386 for multiarch support Я просто прочитал команду из этого сообщения .

Во всяком случае, кажется, что эта ошибка происходит только в Ubuntu 12.04.02. Я нашел сообщение, сказав, что он вернулся к Ubuntu 12.04.01, и все, что только что получилось …

Ну, моя ошибка исправлена. Ура!